<?php
if (!isset($_POST['ok']))
{
	$sql = "SELECT *, DATE_FORMAT(Re_Datum, '%d.%m.%Y') AS Datum, DATE_FORMAT(Bezahlt_am, '%d.%m.%Y') AS Bezahlt FROM " . PREFIX . "_Eingang WHERE (Jahr = \"" . $_POST['Jahr'] . "\" AND ID = \"" . $_POST['ID'] . "\");";
	$result = $db->query($sql);
	$nt = $result->fetch_assoc();
	echo "<fieldset>\n";
	echo "	<legend>Eingangsrechnung löschen</legend>\n";
	echo "	<form action=\"index.php?" . $_SERVER['QUERY_STRING'] . "\" method=\"post\" >\n";
	echo "		<input type=\"hidden\" name=\"Jahr\" value=\"" . $nt['Jahr'] . "\" />\n";
	echo "		<input type=\"hidden\" name=\"ID\" value=\"" . $nt['ID'] . "\" />\n";
	echo "		<input type=\"hidden\" name=\"formaction\" value=\"e_del\" />\n";
	echo "		<label>Firma</label><label>" . $nt['Kontakt'] . "</label><br />\n";
	echo "		<label>Rechnungsnummer</label><label>" . $nt['Re_Nr'] . "</label><br />\n";
	echo "		<label>Rechnungsdatum</label><label>" . $nt['Datum'] . "</label><br />\n";
	echo "		<label>Nettobetrag</label><label>" . $nt['Preis'] . "</label><br />\n";
	echo "		<label>Bezahlt am</label><label>" . $nt['Bezahlt'] . "</label><br />\n";
	echo "		<input type=\"submit\" name=\"ok\" value=\"1\" class=\"button_ok\" />\n";
	echo "	</form>\n";
	echo "</fieldset>\n";
}
else
{
	$sql = 'DELETE FROM ' . PREFIX . '_Eingang WHERE (Jahr = "' . $_POST['Jahr'] . '" AND ID = "' . $_POST['ID'] . '");';
	if ($delete = $db->query($sql))
	{
		echo "<h1>Eintrag wurde gelöscht!</h1>\n";
	}
	else
	{
		echo "<h1>Fehler beim Löschen des Eintrags!</h1>\n";
	}
}